Skip to main content
POST
/
api
/
2.0
/
family_histories
Create Family History
curl --request POST \
  --url https://sandbox.elationemr.com/api/2.0/family_histories/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "patient": 123,
  "icd9_code": "<string>",
  "rank": 123,
  "snomed_code": "<string>",
  "text": "<string>"
}
'
{
  "patient": 123,
  "created_date": "2023-11-07T05:31:56Z",
  "deleted_date": "2023-11-07T05:31:56Z",
  "icd9_code": "<string>",
  "id": 123,
  "rank": 123,
  "snomed_code": "<string>",
  "text": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
patient
integer<int64>
required

The id of the patient.

relationship
enum<string>
required

The relationship of the family member of the family history.

Available options:
Aunt,
Brother,
Daughter,
Father,
Grandfather,
Grandmother,
Mother,
Other,
Sister,
Son,
Uncle
icd9_code
string | null

The icd9 code of the family history.

rank
integer
snomed_code
string | null

The SNOMED code for the family history.

text
string

The value (or text) of the family history.

Response

201 - application/json
patient
integer<int64>
required

The id of the patient.

relationship
enum<string>
required

The relationship of the family member of the family history.

Available options:
Aunt,
Brother,
Daughter,
Father,
Grandfather,
Grandmother,
Mother,
Other,
Sister,
Son,
Uncle
created_date
string<date-time> | null
read-only

The date the family history was created.

deleted_date
string<date-time> | null
read-only

The date the family history was deleted.

icd9_code
string | null

The icd9 code of the family history.

id
integer
read-only
rank
integer
snomed_code
string | null

The SNOMED code for the family history.

text
string

The value (or text) of the family history.